changeset 57351:c36defd6923f

* configure.in (HAVE_RANDOM_HEAPSTART): Change AC_MSG_ERROR to AC_MSG_WARN.
author Jan Djärv <jan.h.d@swipnet.se>
date Wed, 06 Oct 2004 07:24:40 +0000
parents 11b8de2051f3
children 8100034f2c11
files ChangeLog configure configure.in
diffstat 3 files changed, 51 insertions(+), 26 deletions(-) [+]
line wrap: on
line diff
--- a/ChangeLog	Wed Oct 06 07:20:53 2004 +0000
+++ b/ChangeLog	Wed Oct 06 07:24:40 2004 +0000
@@ -1,4 +1,9 @@
-2004-10-05  Jan D.  <jhd@ostrich.localdomain>
+2004-10-06  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>
+
+	* configure.in (HAVE_RANDOM_HEAPSTART): Change AC_MSG_ERROR to
+	AC_MSG_WARN.
+
+2004-10-05  Jan D.  <jan.h.d@swipnet.se>
 
 	* configure.in (HAVE_RANDOM_HEAPSTART): Renamed HAVE_EXECSHIELD.
 	Run test to see if heap start address is random.
--- a/configure	Wed Oct 06 07:20:53 2004 +0000
+++ b/configure	Wed Oct 06 07:24:40 2004 +0000
@@ -7746,7 +7746,7 @@
 if test x"$ac_cv_header_unistd_h" != x && test x"$ac_cv_header_stdlib_h" != x
 then
   if test "$cross_compiling" = yes; then
-  emacs_cv_execshield='assuming no'
+  emacs_cv_randomheap='assuming no'
 else
   cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -7788,24 +7788,24 @@
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  emacs_cv_execshield=yes
+  emacs_cv_randomheap=yes
 else
   echo "$as_me: program exited with status $ac_status" >&5
 echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
 ( exit $ac_status )
-emacs_cv_execshield=no
+emacs_cv_randomheap=no
 fi
 rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
 fi
 else
-  emacs_cv_execshield='assuming no'
-fi
-echo "$as_me:$LINENO: result: $emacs_cv_execshield" >&5
-echo "${ECHO_T}$emacs_cv_execshield" >&6
-
-if test "$emacs_cv_execshield" = yes; then
+  emacs_cv_randomheap='assuming no'
+fi
+echo "$as_me:$LINENO: result: $emacs_cv_randomheap" >&5
+echo "${ECHO_T}$emacs_cv_randomheap" >&6
+
+if test "$emacs_cv_randomheap" = yes; then
   # Extract the first word of "setarch", so it can be a program name with args.
 set dummy setarch; ac_word=$2
 echo "$as_me:$LINENO: checking for $ac_word" >&5
@@ -7854,13 +7854,26 @@
 _ACEOF
 
   else
-    { { echo "$as_me:$LINENO: error: Heap start address is randomized and no workaround is known.
-Probably exec-shield is turned on.  Emacs can not dump itself if this is the
-case.  Read about exec-shield in \`etc/PROBLEMS' for further information." >&5
-echo "$as_me: error: Heap start address is randomized and no workaround is known.
-Probably exec-shield is turned on.  Emacs can not dump itself if this is the
-case.  Read about exec-shield in \`etc/PROBLEMS' for further information." >&2;}
-   { (exit 1); exit 1; }; }
+    { echo "$as_me:$LINENO: WARNING:
+**********************************************************************
+
+Heap start address is randomized and no workaround is known.
+Emacs will probably dump core when temacs is run in the build phase.
+Maybe exec-shield is turned on.  Read about exec-shield in \`etc/PROBLEMS'
+for further information.
+
+**********************************************************************
+" >&5
+echo "$as_me: WARNING:
+**********************************************************************
+
+Heap start address is randomized and no workaround is known.
+Emacs will probably dump core when temacs is run in the build phase.
+Maybe exec-shield is turned on.  Read about exec-shield in \`etc/PROBLEMS'
+for further information.
+
+**********************************************************************
+" >&2;}
   fi
 fi
 
--- a/configure.in	Wed Oct 06 07:20:53 2004 +0000
+++ b/configure.in	Wed Oct 06 07:24:40 2004 +0000
@@ -1599,23 +1599,30 @@
     exit (-1);
   }
   exit (this_sbrk == old_sbrk);
-}], emacs_cv_execshield=yes, emacs_cv_execshield=no,
-     emacs_cv_execshield='assuming no')
+}], emacs_cv_randomheap=yes, emacs_cv_randomheap=no,
+     emacs_cv_randomheap='assuming no')
 else
-  emacs_cv_execshield='assuming no'
+  emacs_cv_randomheap='assuming no'
 fi
-AC_MSG_RESULT($emacs_cv_execshield)
-
-if test "$emacs_cv_execshield" = yes; then
+AC_MSG_RESULT($emacs_cv_randomheap)
+
+if test "$emacs_cv_randomheap" = yes; then
   AC_PATH_PROG(SETARCH, setarch, no)
   AC_SUBST(SETARCH)
   if test "$SETARCH" != no && test "$machine" = "intel386"; then
     AC_DEFINE(HAVE_RANDOM_HEAPSTART, 1,
     [Define to 1 if this OS randomizes the start address of the heap.])
   else
-    AC_MSG_ERROR([Heap start address is randomized and no workaround is known.
-Probably exec-shield is turned on.  Emacs can not dump itself if this is the
-case.  Read about exec-shield in `etc/PROBLEMS' for further information.])
+    AC_MSG_WARN([
+**********************************************************************
+
+Heap start address is randomized and no workaround is known.
+Emacs will probably dump core when temacs is run in the build phase.
+Maybe exec-shield is turned on.  Read about exec-shield in `etc/PROBLEMS'
+for further information.
+
+**********************************************************************
+])
   fi
 fi